$regfile = "m328pdef.dat"                                   ' ATmega328P.
$crystal = 16000000                                         '  , .
$hwstack = 64                                               '  .
$swstack = 64
$framesize = 64

' 
$baud = 9600                                                '  ,  USART = 9600 

Config 1wire = Portd.2                                      '      DQ DS18B20
Config Portd.3 = Output                                     '   
Portd.3 = 1                                                 '   

'   
Dim 1w_data(9) As Byte                                      '    DS18B20
Dim 1w_2byte As Integer At 1w_data Overlay
Dim Temp As Single

Do

  1wreset                                                   '  
  If Err = 0 Then                                           '  

     1wwrite &HCC                                           '  "Skip ROM"
     1wwrite &H44                                           '  "Convert  T".

     Waitms 750                                             '   750    

     1wreset                                                '  
     1wwrite &HCC                                           '  "Skip ROM"
     1wwrite &HBE                                           '  "Read scratchpad"

     1w_data(1) = 1wread(9)                                 '  9     

     If 1w_data(9) = Crc8(1w_data(1) , 8) Then              '   .
       Temp = 1w_2byte / 16                                 '      .
       Print Fusing(temp , "#.#")                           '   USART  
     Else
       Print "CRC error"
     End If

  Else
    Print "Sensor error"
    Waitms 500
  End If

Loop
